Mail archive
alpine-aports

[alpine-aports] [PATCH] main/perl-net-ldap: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Thu, 29 Oct 2015 17:14:34 +0200

---
 main/perl-net-ldap/APKBUILD | 43 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)
 create mode 100644 main/perl-net-ldap/APKBUILD
diff --git a/main/perl-net-ldap/APKBUILD b/main/perl-net-ldap/APKBUILD
new file mode 100644
index 0000000..0059f1c
--- /dev/null
+++ b/main/perl-net-ldap/APKBUILD
_at_@ -0,0 +1,43 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=perl-net-ldap
+_pkgreal=perl-ldap
+pkgver=0.65
+pkgrel=0
+pkgdesc="LDAP client library"
+url="http://search.cpan.org/dist/perl-ldap/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-convert-asn1"
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends perl-text-soundex"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MA/MARSCHAP/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+	mv "$pkgdir"/usr/share/perl5/vendor_perl/* "$pkgdir"/usr/lib/perl5/vendor_perl
+	rm -fr "$pkgdir"/usr/share/perl5
+}
+
+md5sums="d057c8db76913d95c0e460c7bdd98b27  perl-ldap-0.65.tar.gz"
+sha256sums="5f57dd261dc16ebf942a272ddafe69526598df71151a51916edc37a4f2f23834  perl-ldap-0.65.tar.gz"
+sha512sums="567de41fc1e659de23b4ae7b6cec5a60df0ad8bc90062158cf83f90d3729ac27a8bacb276b732931fefbf33847fe1baec7a62393aae5978f3c55c6c602f93747  perl-ldap-0.65.tar.gz"
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Oct 29 2015 - 17:14:34 GMT